Negating Past Mistakes

    @ambassify/fetch

    2.2.1 • Public • Published

    fetch

    Loads the prefered Fetch API for the environment.

    Based on the unfetch polyfill.

    Usage

    npm install --save @ambassify/fetch
    
    const fetch = require('@ambassify/fetch');
    

    Environments

    Browser

    The browser will load either the native implementation on window.fetch or unfetch.

    NodeJS

    NodeJS will attempt to retrieve global.fetch, if that is missing it will check if we are actually using node by checking existenc of process global.

    If process is not defined unfetch will be loaded, otherwise node-fetch will be loaded.

    Contribute

    We really appreciate any contribution you would like to make, so don't hesitate to report issues or submit pull requests.

    License

    This project is released under a MIT license.

    About us

    If you would like to know more about us, be sure to have a look at our website, or our Twitter accounts Ambassify, Sitebase, JorgenEvens

    Keywords

    Install

    npm i @ambassify/fetch

    DownloadsWeekly Downloads

    39

    Version

    2.2.1

    License

    MIT

    Unpacked Size

    6.02 kB

    Total Files

    6

    Last publish

    Collaborators

    • jorgenevens
    • sitebase
    • ambassify